BearSSL

br_skey_decoder_context Struct Reference

Private key decoder context. More...

`#include <bearssl_x509.h>`

## Detailed Description

Private key decoder context.

The private key decoder recognises RSA and EC private keys, either in their raw, DER-encoded format, or wrapped in an unencrypted PKCS#8 archive (again DER-encoded).

Structure contents are opaque and shall not be accessed directly.

The documentation for this struct was generated from the following file:

- bearssl_x509.h